Title: _ctypes/libffi missing bits for aarch64 support
Type: compile error Stage: resolved
Components: ctypes Versions: Python 3.4, Python 3.3
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, amaury.forgeotdarc, belopolsky, berker.peksag, christian.heimes, haypo, meador.inge, ronaldoussoren, schwab
Priority: normal Keywords: patch

Created on 2013-04-29 23:05 by schwab, last changed 2016-03-02 10:56 by berker.peksag. This issue is now closed.

File name Uploaded Description Edit
ctypes-libffi-aarch64.patch schwab, 2013-04-29 23:05 Patch review
Messages (8)
msg188116 - (view) Author: Andreas Schwab (schwab) * Date: 2013-04-29 23:05
ctype modules doesn't build for aarch64 due to missing bits in the script.
msg227972 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-09-30 18:44
The patch is a one line addition to, could someone glance at it please.
msg227998 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-09-30 21:06
The patch should be sent upstream:
msg228001 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2014-09-30 21:14
I don't think is from upstream.
msg228002 - (view) Author: Andreas Schwab (schwab) * Date: 2014-09-30 21:16 isn't part of upstream.
msg228012 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-09-30 22:13
I don't know the AArch64 arch and I don't have access to such architecture, but the patch looks good to me. I guess that Andreas has access and tried his patch?
msg228059 - (view) Author: Andreas Schwab (schwab) * Date: 2014-10-01 07:47
msg261105 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-03-02 10:56
This has been fixed as part of updating libffi in issue 22176:

Thanks for the report and for the patch, Andreas!
Date User Action Args
2016-03-02 10:56:33berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg261105

resolution: out of date
stage: patch review -> resolved
2014-10-01 07:47:09schwabsetmessages: + msg228059
2014-09-30 22:13:44hayposetmessages: + msg228012
2014-09-30 21:16:31schwabsetmessages: + msg228002
2014-09-30 21:14:19belopolskysetmessages: + msg228001
2014-09-30 21:07:42pitrousetnosy: + amaury.forgeotdarc, belopolsky, meador.inge
2014-09-30 21:06:16hayposetnosy: + haypo
messages: + msg227998
2014-09-30 18:44:44BreamoreBoysetnosy: + BreamoreBoy
messages: + msg227972
2013-07-07 15:01:08christian.heimessetnosy: + ronaldoussoren, christian.heimes
stage: patch review

versions: + Python 3.4
2013-04-29 23:05:23schwabcreate